.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-stores-patch-one ========================= Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``25090787814`` - Source SHA: ``444376867c764658b4ed0286bc44ff0ac8c80995`` - Module: ``hardware`` - Documentation Scope: ``async`` - Lambda: ``jef-hardware-patch-9`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/hardware-stores-patch-one`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-patch-9`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-patch-9 Module: jef-hardware Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /hardware-stores-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-hardware-stores Payload Example: - pk: 1001 - entity_number: 1001 - store_code: STORE-BAGO-01 - store_name: JEF Hardware - branch_name: Bago Main - receipt_name: JEF HARDWARE - BAGO MAIN - address: Rizal Street, Poblacion, Bago City, Negros Occidental - contact_number: 09171234567 - tin_number: 123-456-789-000 - permit_to_use_number: PTU-2026-0001 - receipt_footer_message: Thank you for your purchase. - receipt_paper_width: 58mm - receipt_characters_per_line: 32 - active: True - updated_at: 2026-04-24T09:00:00+08:00 Payload Schema: - pk: string-{entity_number} - entity_number: string - store_code: string - store_name: string - branch_name: string - receipt_name: string - address: string - contact_number: string - tin_number: string - permit_to_use_number: string - receipt_footer_message: string - receipt_paper_width: string - receipt_characters_per_line: number - active: boolean - updated_at: string Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "1001", "entity_number": "1001", "store_code": "STORE-BAGO-01", "store_name": "JEF Hardware", "branch_name": "Bago Main", "receipt_name": "JEF HARDWARE - BAGO MAIN", "address": "Rizal Street, Poblacion, Bago City, Negros Occidental", "contact_number": "09171234567", "tin_number": "123-456-789-000", "permit_to_use_number": "PTU-2026-0001", "receipt_footer_message": "Thank you for your purchase.", "receipt_paper_width": "58mm", "receipt_characters_per_line": "32", "active": "True", "updated_at": "2026-04-24T09:00:00+08:00" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"1001\", \"entity_number\": \"1001\", \"store_code\": \"STORE-BAGO-01\", \"store_name\": \"JEF Hardware\", \"branch_name\": \"Bago Main\", \"receipt_name\": \"JEF HARDWARE - BAGO MAIN\", \"address\": \"Rizal Street, Poblacion, Bago City, Negros Occidental\", \"contact_number\": \"09171234567\", \"tin_number\": \"123-456-789-000\", \"permit_to_use_number\": \"PTU-2026-0001\", \"receipt_footer_message\": \"Thank you for your purchase.\", \"receipt_paper_width\": \"58mm\", \"receipt_characters_per_line\": 32, \"active\": true, \"updated_at\": \"2026-04-24T09:00:00+08:00\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "1001", "entity_number": "1001", "store_code": "STORE-BAGO-01", "store_name": "JEF Hardware", "branch_name": "Bago Main", "receipt_name": "JEF HARDWARE - BAGO MAIN", "address": "Rizal Street, Poblacion, Bago City, Negros Occidental", "contact_number": "09171234567", "tin_number": "123-456-789-000", "permit_to_use_number": "PTU-2026-0001", "receipt_footer_message": "Thank you for your purchase.", "receipt_paper_width": "58mm", "receipt_characters_per_line": 32, "active": true, "updated_at": "2026-04-24T09:00:00+08:00"}'